List all tags

Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs. Supports search filtering and pagination.

GET/api/v1/{team_slug}/{app_slug}/tags
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/tags

Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs. Supports search filtering and pagination.

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/tags
  • Summary: List all tags
  • Description: Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs. Supports search filtering and pagination.
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters7 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
searchqueryNostringSearch on tags name
pagequeryNointegerPage number (default is 1)
per-pagequeryNointegerAmount of products per page. Minimum 0 and max 100 (default is 20)
idqueryNostring[]Filter by tag IDs (can be repeated)
statusqueryNostring[]Filter by status. Allowed values: active, inactive, archived, draft
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200List of tags with full detailsapplication/json (object)
400Invalid request (e.g. bad UUID, validation error)application/json (object)
401Unauthorized accessapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Tag List

PropertyTypeRequiredDetails
dataobject[]No-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Tag
PropertyTypeRequiredDetails
attributesobject[]No-
created_atstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
marketsobject[]No-
namestringNo-
schedulesobject[]No-
source_app_idstringNo-
source_idstringNo-
statusstringNo-
translationsobjectNo-
updated_atstringNo-
Attribute
PropertyTypeRequiredDetails
created_atstringNo-
descriptionstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
template_namestringNo-
translatablebooleanNo-
translationsobjectNo-
updated_atstringNo-
valuesobjectNo-
Market
PropertyTypeRequiredDetails
activebooleanNo-
country_codesstring[]No-
created_atstringNo-
currency_codestringNo-
idstringNo-
localestringNo-
namestringNo-
slugstringNo-
updated_atstringNo-
Job
PropertyTypeRequiredDetails
add_category_namesstring[]No-
add_collection_namesstring[]No-
add_tag_namesstring[]No-
execute_atstringNoDate when the job should run
finished_atstringNoIf a job is finished will this timestamp be filled
idstringNo-
item_idstringNo-
item_namestringNo-
item_typestringNo-
remove_category_namesstring[]No-
remove_collection_namesstring[]No-
remove_tag_namesstring[]No-
to_amount_cents_with_taxintegerNo-
to_market_idstringNo-
to_market_statusstringNo-
to_on_salebooleanNo-
to_sale_amount_cents_with_taxintegerNo-
to_start_sale_timestampstringNo-
to_statusstringNo-
to_stop_sale_timestampstringNo-
to_store_group_idstringNo-
Tag Translations
PropertyTypeRequiredDetails
nameobject[]No-
{
  "data": [
    {
      "attributes": [
        {
          "created_at": null,
          "description": null,
          "filterable": null,
          "id": null,
          "key": null,
          "name": null,
          "template_key": null,
          "template_name": null,
          "translatable": null,
          "translations": null,
          "updated_at": null,
          "values": null
        }
      ],
      "created_at": "string",
      "filterable": false,
      "id": "string",
      "key": "string",
      "markets": [
        {
          "active": null,
          "country_codes": null,
          "created_at": null,
          "currency_code": null,
          "id": null,
          "locale": null,
          "name": null,
          "slug": null,
          "updated_at": null
        }
      ],
      "name": "string",
      "schedules": [
        {
          "add_category_names": null,
          "add_collection_names": null,
          "add_tag_names": null,
          "execute_at": null,
          "finished_at": null,
          "id": null,
          "item_id": null,
          "item_name": null,
          "item_type": null,
          "remove_category_names": null,
          "remove_collection_names": null,
          "remove_tag_names": null,
          "to_amount_cents_with_tax": null,
          "to_market_id": null,
          "to_market_status": null,
          "to_on_sale": null,
          "to_sale_amount_cents_with_tax": null,
          "to_start_sale_timestamp": null,
          "to_status": null,
          "to_stop_sale_timestamp": null,
          "to_store_group_id": null
        }
      ],
      "source_app_id": "string",
      "source_id": "string",
      "status": "string",
      "translations": {
        "name": []
      },
      "updated_at": "string"
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/tags
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Tags
  • OpenAPI summary: List all tags

List all tags

# List all tags Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs. Supports search filtering and pagination.
GET /api/v1/{team_slug}/{app_slug}/tags
Purpose

Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs.

Required inputs

app_slug path team_slug path

Primary response

200 ยท List of tags with full details

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/tags

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/tags` - Summary: List all tags - Description: Retrieves all tags for an application including attributes, translations, associated markets, and scheduled jobs. Supports search filtering and pagination. - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/tags` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | search | query | No | string | Search on tags name | | page | query | No | integer | Page number (default is 1) | | per-page | query | No | integer | Amount of products per page. Minimum 0 and max 100 (default is 20) | | id | query | No | string[] | Filter by tag IDs (can be repeated) | | status | query | No | string[] | Filter by status. Allowed values: active, inactive, archived, draft | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | List of tags with full details | application/json (object) | | 400 | Invalid request (e.g. bad UUID, validation error) | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Tag List | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Tag | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `created_at` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `markets` | object[] | No | - | | `name` | string | No | - | | `schedules` | object[] | No | - | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | ##### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `description` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `template_name` | string | No | - | | `translatable` | boolean | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `values` | object | No | - | ##### Market | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `country_codes` | string[] | No | - | | `created_at` | string | No | - | | `currency_code` | string | No | - | | `id` | string | No | - | | `locale` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `updated_at` | string | No | - | ##### Job | Property | Type | Required | Details | | --- | --- | --- | --- | | `add_category_names` | string[] | No | - | | `add_collection_names` | string[] | No | - | | `add_tag_names` | string[] | No | - | | `execute_at` | string | No | Date when the job should run | | `finished_at` | string | No | If a job is finished will this timestamp be filled | | `id` | string | No | - | | `item_id` | string | No | - | | `item_name` | string | No | - | | `item_type` | string | No | - | | `remove_category_names` | string[] | No | - | | `remove_collection_names` | string[] | No | - | | `remove_tag_names` | string[] | No | - | | `to_amount_cents_with_tax` | integer | No | - | | `to_market_id` | string | No | - | | `to_market_status` | string | No | - | | `to_on_sale` | boolean | No | - | | `to_sale_amount_cents_with_tax` | integer | No | - | | `to_start_sale_timestamp` | string | No | - | | `to_status` | string | No | - | | `to_stop_sale_timestamp` | string | No | - | | `to_store_group_id` | string | No | - | ##### Tag Translations | Property | Type | Required | Details | | --- | --- | --- | --- | | `name` | object[] | No | - |
Generated example (synthetic) ```json { "data": [ { "attributes": [ { "created_at": null, "description": null, "filterable": null, "id": null, "key": null, "name": null, "template_key": null, "template_name": null, "translatable": null, "translations": null, "updated_at": null, "values": null } ], "created_at": "string", "filterable": false, "id": "string", "key": "string", "markets": [ { "active": null, "country_codes": null, "created_at": null, "currency_code": null, "id": null, "locale": null, "name": null, "slug": null, "updated_at": null } ], "name": "string", "schedules": [ { "add_category_names": null, "add_collection_names": null, "add_tag_names": null, "execute_at": null, "finished_at": null, "id": null, "item_id": null, "item_name": null, "item_type": null, "remove_category_names": null, "remove_collection_names": null, "remove_tag_names": null, "to_amount_cents_with_tax": null, "to_market_id": null, "to_market_status": null, "to_on_sale": null, "to_sale_amount_cents_with_tax": null, "to_start_sale_timestamp": null, "to_status": null, "to_stop_sale_timestamp": null, "to_store_group_id": null } ], "source_app_id": "string", "source_id": "string", "status": "string", "translations": { "name": [] }, "updated_at": "string" } ], "success": false, "total": 0, "total_pages": 0 } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/tags` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/tags` - OpenAPI tag: Tags - OpenAPI summary: List all tags